# RTRIM function

RTRIM removes blanks from the end of a character string expression.

#### Syntax

    RTRIM(CharacterExpression)

A CharacterExpression is a CHAR, VARCHAR, or LONG VARCHAR data type, any built-in type that is implicitly converted to a string.

RTRIM returns NULL if CharacterExpression evaluates to null.

    -- returns ' asdf'
    VALUES RTRIM(' asdf  ')
    -- returns 'asdf'
    VALUES RTRIM('asdf  ')

Parent topic: Built-in functions